Get allowed item substitutions.get https://api.developers.deliveroo.com/picking/v1/orders/{order_id}/items/{order_item_id}/substituteSummary This API endpoint allows the partners to search for the allowed item substitutions for a given order item. Usage scenario Site would like to know which items should be used for substitutions. Business constraints Order has to be in the PLACED status. Path Paramsorder_idstringrequiredRelated order id in format {market}:{order_uuid}.order_item_iduuidrequiredRelated order item id in format {order_item_uuid}.Query ParamsneedlestringSearch word describing the desired item(s) to be used as a substitute. If not provided, item specific recommendations will be returned. For optimal results do not use needles longer than 10 characters. Multi-word needles must use %20 as a separatorlimitintegerrequired≥ 0Number of substitutions to returnquantityintegerrequired≥ 0Quantity to substituteResponses 200Response with list of allowed items substitutions 400The request didn't work, often because a required parameter is missing or the content-type hasn't been set e.g. an incorrect JSON request 401The request didn't work because the combination of your API key and API token doesn't exist in our system or your integration has been disabled 404Order with that ID was not found in our systems. 429Too many requests. Rate limit of 1 request / 30 seconds / 1 order is exceeded 500Something went wrong on our end. You'll have to try again later once we've fixed it.Updated 24 days ago